V1.0
post
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/visitsforms/ehrmapping
Returns EHR mapping details for forms associated with the requested study-version visits. The request body is an array where each object identifies a study version and visit. The response is an EDC envelope whose result contains visits, forms, items, and the EHR mappings configured for those items.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string).Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
mode(required): string
Study mode filter.Allowed Values:
[ "test", "training", "active" ]Example:test
Supported Media Types
- application/json
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Visits/forms EHR mappings were returned successfully.
Nested Schema : ResponseVisitsFormsEhrMappingDto
Type:
Show Source
object-
studyVersion: string
Title:
Stringstudy version. -
VisitFormsEhrMappingDto: object
VisitFormsEhrMappingDto v1.0
Title:
VisitFormsEhrMappingDto v1.0Information about EhrMappings of items of the forms associated with a visit
Nested Schema : VisitFormsEhrMappingDto v1.0
Type:
objectTitle:
VisitFormsEhrMappingDto v1.0Information about EhrMappings of items of the forms associated with a visit
Show Source
-
FormsEhrMappingDto: object
FormsEhrMappingDto v1.0
Title:
FormsEhrMappingDto v1.0Information about EhrMappings of items of the form -
id: string
(uuid)
Visit GUID
Nested Schema : FormsEhrMappingDto v1.0
Type:
objectTitle:
FormsEhrMappingDto v1.0Information about EhrMappings of items of the form
Show Source
-
formId: string
(uuid)
Form GUID
-
ItemsEhrMappingDto: object
ItemsEhrMappingDto v1.0
Title:
ItemsEhrMappingDto v1.0Information about EhrMappings of form item
Nested Schema : ItemsEhrMappingDto v1.0
Type:
objectTitle:
ItemsEhrMappingDto v1.0Information about EhrMappings of form item
Show Source
-
FormItemAdvancedPropDto: object
From Item Advanced Property v17.0
Title:
From Item Advanced Property v17.0Form Item Advanced Property -
itemId: string
(uuid)
Item GUID
Nested Schema : From Item Advanced Property v17.0
Type:
objectTitle:
From Item Advanced Property v17.0Form Item Advanced Property
Show Source
-
id: string
(uuid)
Extended Property ID
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Minimum Length:
1Maximum Length:255Advanced property nameExample:RolloverQuestionStudyId -
rules: array
rules
-
value: string
Minimum Length:
1Maximum Length:2048Advanced property value. For example, rollover study UUIDExample:B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
Show Source
array-
Array of:
object From Item Advanced Property Rule v17.0
Title:
From Item Advanced Property Rule v17.0Form Item Advanced Property Rule
Nested Schema : From Item Advanced Property Rule v17.0
Type:
objectTitle:
From Item Advanced Property Rule v17.0Form Item Advanced Property Rule
Show Source
-
label: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUEExample:
Yes -
name: string
nameExample:
RolloverQuestionAnswer -
value: string
For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_IDExample:
B1B8327AFAA6412287106192AB5984EF
Examples
400 Response
The request payload is missing studyVersion or visitId, or contains invalid values.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples